# Contribution guidelines

First of all: Thank you! ❤️

Before sending a Pull Request, please make sure that you're assigned the task on a GitHub issue.

- If a relevant issue already exists, discuss on the issue and get it assigned to yourself on GitHub.
- If no relevant issue exists, open a new issue and get it assigned to yourself on GitHub.


# Developing the 1build

1. Prepare project

    ```sh
    git clone https://github.com/gopinath-langote/1build
    cd 1build
    pip install -r requirements.txt
    ```

2. Make Sure all existing tests are passing & have new tests needed
    ```sh
    pytest 
    ```
3. Make sure you are following `pep8` guidelines for linting
4. Update necessary documents if needed (Readme etc) 
5. Submit pull request
6. Make sure all the checks are passing
7. Wait for maintainers to review the code
8. Thanks for you contribution :smile: